<?php
/**
 * Template Name: Frontpage
 * The template used for displaying fullwidth page content in template-home.php
 *
 * @package cloudpress
 */
get_header(); ?>

<?php
    $slider = get_theme_mod('slider_disable',1);
    if($slider==1){
    	
 ?>
<section class="theme-slider">
  	<div class="container-fluid">
    	<div class="row">
      		<div class="col-sm-12 clear-both">

	            <div class="slider-cintent">
	              	<div id="carousel-id" class="carousel slide" data-ride="carousel">
		                <ol class="carousel-indicators">
		                    <?php
	            				$cid = get_theme_mod('slider_category_display');
	            				$category_link = get_category_link($cid);
	            				$cloudpresscat = get_category($cid);
	            				if ($cloudpresscat) {
		            		?>

		              		<?php
		              			$posts_per_page = get_theme_mod('slider_no_of_posts',5);
			                    $args = array(
			                      'posts_per_page' => $posts_per_page,
			                      'paged' => 1,
			                      'cat' => $cid
			                    );
			                    $loop = new WP_Query($args);
			                    
			                    $cn = -1;
			                    if ($loop->have_posts()) :  while ($loop->have_posts()) : $loop->the_post();$cn++;
			                ?>

		                    <li data-target="#carousel-id" data-slide-to="<?php echo $cn; ?>" class="<?php if($cn==0){echo 'active';} ?>"></li>
		                	<?php endwhile;endif; }?>
		                </ol>

		                <div class="carousel-inner">
		                  	<?php
	            				$cid = get_theme_mod('slider_category_display');
	            				$category_link = get_category_link($cid);
	            				$cloudpresscat = get_category($cid);
	            				if ($cloudpresscat) {
		            		?>

		              		<?php
		              			$posts_per_page = get_theme_mod('slider_no_of_posts',5);
			                    $args = array(
			                      'posts_per_page' => $posts_per_page,
			                      'paged' => 1,
			                      'cat' => $cid
			                    );
			                    $loop = new WP_Query($args);
			                    
			                    $cn = 0;
			                    if ($loop->have_posts()) :  while ($loop->have_posts()) : $loop->the_post();$cn++;
			                ?>

                  			<div class="item <?php echo $cn == 1 ? 'active' : ''; ?>">
                    			<div class="container">

                      				<div class="carousel-caption">
				                        <?php if(has_post_thumbnail()){
				                          	$arg =
				                            	array(
					                              'class' => 'img-responsive center-block wow bounceInLeft',
					                              'alt' => '',
					                              'data-wow-duration'=> '2s'
				                          		);
				                          		the_post_thumbnail('cloudpress-slider-thumb',$arg);
				                        	} 
				                        ?>

                        				<h1 class="wow bounceInRight" data-wow-duration="3s"><?php the_title();?></h1>
                        				<p class="wow bounceInRight" data-wow-duration="3s"><?php the_excerpt();?> </p>
                        				<p class="wow fadeIn" data-wow-duration="4s"><a class="btn btn-theme btn-slider" href="<?php the_permalink();?>" role="button"><?php _e('Read More','cloudpress'); ?></a></p>
                      				</div> <!-- /.end of carousel-caption -->
                    			</div> <!-- /.end of container -->
                  			</div> <!-- /.end of item -->
        
                  			<?php                 
                    			endwhile;
                    				wp_reset_postdata();  
                    			endif;                             
                  				}
                  			?> 
	                	</div>  <!-- /.end of carousel inner -->
              		</div> <!-- /.end of carousel id -->
            	</div> <!-- /.end of slider-cintent -->
          	</div> <!-- /.end of col-sm-12 -->
        </div>
    </div>
</section>
<?php }?>

<div class="clearfix"></div>

<?php

$ow_display_features_category = get_theme_mod('checkbox_features_category_display',1);

if ( $ow_display_features_category==1 ) { ?>

	<section class="features">
		<div class="container">
			<div class="row">

				<div class="col-sm-12">
					<div class="section-title">
						<h2><?php echo sanitize_text_field(get_theme_mod('feature_title',__('Features','cloudpress'))); ?></h2>
						<div class="underline"></div>
					</div>
				</div>  <!-- /.end of col 12 -->

				<div class="col-sm-12">
					<div class="feature-slider">
						<div id="carousel-id1" class="carousel slide" data-ride="carousel">
							<div class="carousel-inner">
								<?php
								$cid = get_theme_mod('features_category_display');
								$category_link = get_category_link($cid);
								$cloudpresscat = get_category($cid);
								if ($cloudpresscat) {
									?>

									<?php
									$posts_per_page = get_theme_mod('features_no_of_posts',5);
									$args = array(
										'posts_per_page' => $posts_per_page,
										'paged' => 1,
										'cat' => $cid
									);
									$loop = new WP_Query($args);
									$cn = 0;
									if ($loop->have_posts()) :  while ($loop->have_posts()) : $loop->the_post();$cn++;
										?>

										<div class="item <?php echo $cn == 1 ? 'active' : ''; ?>">
											<div class="container">
												<div class="carousel-caption">
													<?php if(has_post_thumbnail()){
														$arg =
															array(
																'class' => 'img-responsive center-block ',
																'alt' => '',
															);
														the_post_thumbnail('cloudpress-feature-thumb',$arg);
													}
													?>
													<div class="captionText">
														<h1><?php the_title();?></h1>
														<p><?php the_excerpt();?></p>
														<p><a class="btn btn-theme" href="<?php the_permalink(); ?>" role="button"><?php _e('Read More','cloudpress'); ?></a></p></div>
												</div>
											</div>
										</div> <!-- /.end of item -->

										<?php
									endwhile;
										wp_reset_postdata();
									endif;
								}
								?>
							</div> <!-- /.end of carousel inner -->

							<a class="left carousel-control" href="#carousel-id1" data-slide="prev"><span class="glyphicon glyphicon-chevron-left"></span></a>
							<a class="right carousel-control" href="#carousel-id1" data-slide="next"><span class="glyphicon glyphicon-chevron-right"></span></a>

						</div> <!-- /.end of carousel id1 -->
					</div> <!-- /.end of featured slider -->
				</div> <!-- /.end of col-sm-12 -->
			</div> <!-- /.end of row -->
		</div> <!-- /.end of container-->
	</section> <!-- /.end of section -->

<?php } ?>

<div class="clearfix"></div>
<?php 
	$whyus = get_theme_mod('checkbox_whyus_category_display',1);
	if($whyus==1){
 ?>
<section class="why-choose-us">
  	<div class="container">
    	<div class="row">

      		<div class="col-sm-12">
        		<div class="section-title">
          			<h2><?php echo sanitize_text_field(get_theme_mod('whychooseus_title',__('Why Choose Us','cloudpress'))); ?></h2>
          			<div class="underline"></div>
        		</div>
      		</div>  <!-- /.end of col 12 -->

      		<?php
		        $cid = get_theme_mod('why_choose_us_category_display');
		        $category_link = get_category_link($cid);
		        $cloudpresscat = get_category($cid);
		        if ($cloudpresscat) {
      		?>

      		<?php
      			$i=0;
      			 $posts_per_page = get_theme_mod('whyus_no_of_posts');
		        $args = array(
		            'posts_per_page' => $posts_per_page,
		           
		            'cat' => $cid
		        );
		        $loop = new WP_Query($args);                                   
		        if ($loop->have_posts()) :  while ($loop->have_posts()) : $loop->the_post();
		        $i++;
		    ?>

      		<div class="col-sm-4">
        		<div class="single text-center">
		          	<div class="icon">
		            	<?php $why_choose_us_icon = sanitize_text_field(get_theme_mod('why_choose_us_icon','fa fa-cloud'));?>
		            	<i class="fa fa-<?php echo $why_choose_us_icon;?>"></i>
		          	</div>

		          	<div class="title">
		            	<a href="<?php the_permalink(); ?>"><h2><?php the_title();?></h2></a>
		            	<div class="underline"></div>
		          	</div>
		          	<div class="content">
		            	<p><?php the_excerpt();?>..</p>
		          	</div>
		        </div>  <!-- /.end of single text-center -->
		    </div>  <!-- /.end of col 4 -->
		     <?php if($i%3==0){ ?>
		    <div class="clear"></div>
		    <?php }?>

      		<?php
		        endwhile;
		         	 wp_reset_postdata();
		        endif; } 
		    ?> 
    	</div>  <!-- /.end of row -->
  	</div> <!-- /.end of container -->
</section>  <!-- /.end of section -->
<?php }?>

<div class="clearfix"></div>
<?php 
	$services = get_theme_mod('checkbox_services_category_display',1);
	if($services==1){
 ?>
<section class="our-services">
  	<div class="container">
    	<div class="row">

	      	<div class="col-sm-12">
	        	<div class="section-title">
	          	<h2><?php echo sanitize_text_field(get_theme_mod('ourservices_title',__('Our Services','cloudpress'))); ?></h2>
	          	<div class="underline"></div>
	        	</div>
	      	</div>  <!-- /.end of col 12 -->

		    <?php
		        $cid = get_theme_mod('our_services_display');
		        $category_link = get_category_link($cid);
		        $cloudpresscat = get_category($cid);
		        if ($cloudpresscat) {
		    ?>

		    <?php
		    	$i=0;
		    	 $posts_per_page = get_theme_mod('services_of_posts');
		        $args = array(
		            'posts_per_page' => $posts_per_page,
		          
		            'cat' => $cid
		        );
		        $loop = new WP_Query($args);                                   
		        if ($loop->have_posts()) :  while ($loop->have_posts()) : $loop->the_post();
		        $i++;
		    ?>

      		<div class="col-sm-6">
        		<div class="single">
          			<div class="icon">
			            <?php 
			       	      	$our_services_icon =  sanitize_text_field(get_theme_mod('our_services_icon','fa fa-cloud'));?>
			            <i class="fa fa-<?php echo $our_services_icon;?>"></i>
			        </div>

          			<div class="content">
            			<h2><?php the_title();?></h2>
						<?php the_excerpt();?>
						<span><a href="<?php the_permalink();?>" class="read-more"><?php _e('Read More','cloudpress'); ?></a></span>
          			</div>
        		</div>
      		</div>  <!-- /.end of col 6 -->
      		<?php if($i%2==0){ ?>
		    <div class="clear"></div>
		    <?php }?>

      		<?php
		        endwhile; 
		          	wp_reset_postdata();
		        endif; }
		    ?>
    	</div>  <!-- /.end of row -->
  	</div>  <!-- /.end of container -->
</section>  <!-- /.end of section -->
<?php }?>
  
<?php get_footer();?>